package main

import (
	"os"
	"fmt"
	"golang.org/x/crypto/bcrypt"
)

func main()  {
	if len(os.Args) != 3{
		fmt.Println("Usage: bcryptGen <username> <password>")
		return
	}
	psb,err := bcrypt.GenerateFromPassword([]byte(os.Args[2]),10)
	if(err != nil){
		fmt.Println("Err: ",err.Error())
		return
	}
	fmt.Printf("%s:%s",os.Args[1],string(psb))
}
